petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexPartitionLabelPropagate

Propagate points in a partition label over the point SF

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexPartitionLabelPropagate(DM dm, DMLabel label)

### Input Parameters

| dm | - The DM Many br
| label | - DMLabel assinging ranks to remote roots Many br

Many br

Note: This is required when generating multi-level overlaps to capture Many broverlap points from non-neighbouring partitions. Many br

### See Also

DMPlexPartitionLabelCreateSF, DMPlexDistribute(), DMPlexCreateOverlap

Level:developer
Location:src/dm/impls/plex/plexpartition.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages